View Issue Details

IDProjectCategoryView StatusLast Update
0000312MantisDroidProjectspublic2012-11-30 08:36
Reportere7andy Assigned Toe7andy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.2Fixed in Version1.2 
Summary0000312: Project - Manage project versions
DescriptionManage project versions:
mc_project_get_versions
mc_project_version_add
mc_project_version_update
mc_project_version_delete

Will not be used now:
mc_project_get_released_versions
mc_project_get_unreleased_versions
TagsNo tags attached.

Activities

e7andy

2012-11-27 10:54

administrator   ~0000072

Integrated in MantisDroidLibrary:44 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/44/ ).

Revision/Changeset: 544
Author: anders
Log:
ISSUE 0000407 - Support non standard HTTPS ports.
ISSUE 0000312 - Added methods for handling project versions.
Changed paths:
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/UrlLoginActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/service/MantisBT.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/webservice/MantisBTService.java

e7andy

2012-11-29 22:54

administrator   ~0000078

Integrated in MantisDroidLibrary:45 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/45/ ).

Revision/Changeset: 545
Author: anders
Log:
ISSUE 0000312 - Manage project versions (CRUD).
Added highlighting of clicked note, version and attachment.
Changed paths:
A /MantisDroidLibrary/res/drawable/holo_blue.xml
A /MantisDroidLibrary/res/drawable/layout_selector.xml
A /MantisDroidLibrary/res/layout/add_version_dialog.xml
M /MantisDroidLibrary/res/layout/issue_details.xml
M /MantisDroidLibrary/res/layout/project_details.xml
M /MantisDroidLibrary/res/menu/project_details_activity.xml
M /MantisDroidLibrary/res/values/strings.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ActivityUtils.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MyBackupAgent.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/entity/Project.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/entity/ProjectVersionData.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/service/MantisBT.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/webservice/SoapUtils.java

Issue History

Date Modified Username Field Change
2012-07-14 23:23 e7andy New Issue
2012-07-14 23:23 e7andy Status new => acknowledged
2012-07-26 23:27 e7andy Category Request => Task
2012-09-08 12:45 e7andy Target Version backlog => 1.1
2012-09-27 15:22 e7andy Summary Manage project versions => Project - Manage project versions
2012-09-27 15:22 e7andy Description Updated View Revisions
2012-09-27 15:23 e7andy Status acknowledged => confirmed
2012-09-27 15:23 e7andy Target Version 1.1 => backlog
2012-11-08 07:16 e7andy Category Task => Projects
2012-11-20 09:04 e7andy Assigned To => e7andy
2012-11-20 09:04 e7andy Status confirmed => assigned
2012-11-20 09:05 e7andy Target Version backlog => 1.2
2012-11-20 09:05 e7andy Description Updated View Revisions
2012-11-21 12:51 e7andy Time allocated Deleted 2012-11-20: 1,00 h. => deleted
2012-11-21 12:55 e7andy Story points => 8
2012-11-23 08:38 e7andy Scrum State => In progress
2012-11-23 13:10 e7andy Scrum State In progress => In Progress
2012-11-23 19:32 e7andy Scrum State In Progress => Ready for Test
2012-11-23 19:32 e7andy Scrum State Ready for Test => New
2012-11-23 19:33 e7andy Scrum State New => In Progress
2012-11-23 20:04 e7andy Scrum State In Progress => Ready for Test
2012-11-23 20:05 e7andy Scrum State Ready for Test => In Progress
2012-11-27 10:54 e7andy Note Added: 0000072
2012-11-29 22:43 e7andy Scrum State In Progress => Ready for Test
2012-11-29 22:43 e7andy Story Points 8 =>
2012-11-29 22:43 e7andy Status assigned => resolved
2012-11-29 22:43 e7andy Fixed in Version => 1.2
2012-11-29 22:43 e7andy Resolution open => fixed
2012-11-29 22:54 e7andy Note Added: 0000078
2012-11-30 08:36 e7andy Scrum State Ready for Test => Done
2012-11-30 08:36 e7andy Status resolved => closed